> ## Documentation Index
> Fetch the complete documentation index at: https://help.pixwel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a user



## OpenAPI

````yaml /openapi.yaml get /users/{id}
openapi: 3.1.0
info:
  title: Pixwel Platform
  description: >-
    The Pixwel Platform REST API. Responses are decorated by proxy middleware
    (Fields, Links, Permissions, etc.). Use `?fields=` to request specific
    fields.
  version: '2.8'
  contact:
    email: jeff@pixwel.com
  license:
    name: UNLICENSED
servers:
  - url: https://api-staging.pixwel.com/api
    description: Staging
  - url: https://app.pixwel.com/api
    description: Production
security:
  - BasicAuth: []
paths:
  /users/{id}:
    get:
      tags:
        - Users
      summary: Get a user
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsersResponse'
components:
  schemas:
    UsersResponse:
      type: object
      properties:
        _id:
          type: string
          example: 5333732167d621b0298b4569
        status:
          type: object
          properties:
            invited:
              type: boolean
              example: true
            approved:
              type: boolean
              example: true
            registered:
              type: boolean
              example: false
            confirmed:
              type: boolean
              example: false
        name:
          type: string
          example: Adstream Brazil
        username:
          type: string
          example: adstream+brazil@pixwel.com
        emailNormal:
          type: string
          example: adstream+brazil@pixwel.com
        invite:
          type: string
          example: https://platform.pixwel.com/register/:code
        preferences:
          type: object
          properties:
            blacklist:
              type: object
              properties:
                projects:
                  type: array
                  items: {}
            ingest:
              type: object
              properties:
                maxUploads:
                  type: integer
                  example: 1
                skipScratchPreview:
                  type: boolean
                  example: false
            mail:
              type: object
              properties:
                assets:
                  type: integer
                  example: 3600
                enabled:
                  type: boolean
                  example: true
                files:
                  type: integer
                  example: 3600
                ingest:
                  type: integer
                  example: 0
                offline_comments:
                  type: integer
                  example: -1
                others:
                  type: integer
                  example: 3600
                projects:
                  type: integer
                  example: 3600
                shares:
                  type: integer
                  example: 0
                work_requests:
                  type: integer
                  example: 0
                work_request_comments:
                  type: integer
                  example: -1
                workflow:
                  type: integer
                  example: -1
        territory:
          type: object
          properties:
            _id:
              type: string
              example: 51e149cdd5cddce641000003
            name:
              type: string
              example: Brazil
            $links:
              type: object
              properties:
                self:
                  type: string
                  example: >-
                    //api-staging.pixwel.com/api/Territories/51e149cdd5cddce641000003
        created:
          type: integer
          example: 1395880737
        $links:
          type: object
          properties:
            self:
              type: string
              example: //api-staging.pixwel.com/api/Users/5333732167d621b0298b4569
            territory:
              type: string
              example: >-
                //api-staging.pixwel.com/api/Territories/51e149cdd5cddce641000003
        groups:
          type: array
          items:
            type: object
            properties:
              _id:
                type: string
                example: 532245f767d621fe1c8b456c
              name:
                type: string
                example: Adstream Brazil (BPO)
              addresses:
                type: array
                items: {}
              studios:
                type: array
                items:
                  type: string
                  example: 56ccc253fa1e4681688b456c
              type:
                type: string
                example: v
              users:
                type: array
                items:
                  type: string
                  example: 5333732167d621b0298b4569
              $links:
                type: object
                properties:
                  self:
                    type: string
                    example: >-
                      //api-staging.pixwel.com/api/Groups/532245f767d621fe1c8b456c
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````